Subject: Re: [Teas] Status/action : draft-ietf-teas-pce-central-control-01.txt

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 30 Jan 2017 16:00:42 -0000

Hello TEAS chairs,

Please consider this as your eight-weekly prod!

I can't promise to keep my prods at the same regularity, yet I don't want to
spam the list :-)

Of course, if anyone wants to discuss the I-D (especially in view of an imminent
adoption of the use cases draft), that would be really welcome.

I received, off-line, some discussions of the architecture, but none (I think)
give rise to any changes to the document. My inquisitors may comment if they
disagree.

Cheers,
Adrian

> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: 05 December 2016 13:54
> To: [email-masked]'
> Cc: [email-masked]
> Subject: Status/action : draft-ietf-teas-pce-central-control-01.txt
> 
> Hi,
> 
> As mentioned in Seoul, the authors of this draft think it is fully cooked. In
fact, it
> had reached a high level of stability before being polled for adoption.
> 
> With this revision, a couple of the authors have re-read it and we have fixed
a
> few nits.
> 
> So, over to the chairs for the next step, which we think is review by the
chairs and
> WG last call. WG last call should, we think, be copied to the PCE list.
> 
> Thanks,
> Adrian
> --
> Buy someone you love a book for Christmas
> Tales from the Wood - Eighteen new fairy tales.
> More Tales from the Wood - Eighteen MORE new fairy tales.
> https://www.feedaread.com/profiles/8604/
> http://www.amazon.co.uk/Tales-Wood-Adrian-Farrel/dp/1786100924
> Or buy from me direct.
> 
> 
> 
> 
> > -----Original Message-----
> > From: Teas [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> > Sent: 05 December 2016 13:45
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [Teas] I-D Action: draft-ietf-teas-pce-central-control-01.txt
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> > This draft is a work item of the Traffic Engineering Architecture and
Signaling of
> > the IETF.
> >
> >         Title           : An Architecture for Use of PCE and PCEP in a
Network with
> Central
> > Control
> >         Authors         : Adrian Farrel
> >                           Quintin Zhao
> >                           Robin Li
> >                           Chao Zhou
> > 	Filename        : draft-ietf-teas-pce-central-control-01.txt
> > 	Pages           : 21
> > 	Date            : 2016-12-05
> >
> > Abstract:
> >    The Path Computation Element (PCE) has become established as a core
> >    component of Software Defined Networking (SDN) systems.  It can
> >    compute optimal paths for traffic across a network for any definition
> >    of "optimal" and can also monitor changes in resource availability
> >    and traffic demands to update the paths.
> >
> >    Conventionally, the PCE has been used to derive paths for MPLS Label
> >    Switched Paths (LSPs).  These paths are supplied using the Path
> >    Computation Element Communication Protocol (PCEP) to the head end of
> >    the LSP for signaling in the MPLS network.
> >
> >    SDN has a far broader applicability than just signaled MPLS traffic
> >    engineered networks, and the PCE may be used to determine paths in a
> >    wide range of use cases including static LSPs, segment routing,
> >    service function chaining (SFC), and indeed any form of routed or
> >    switched network.  It is, therefore, reasonable to consider PCEP as a
> >    general southbound control protocol for use in these environments to
> >    allow the PCE to be fully enabled as a central controller.
> >
> >    This document briefly introduces the architecture for PCE as a
> >    central controller, examines the motivations and applicability for
> >    PCEP as a southbound interface, and introduces the implications for
> >    the protocol.  This document does not describe the use cases in
> >    detail and does not define protocol extensions: that work is left for
> >    other documents.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-teas-pce-central-control/
> >
> > There's also a htmlized version available at:
> > https://tools.ietf.org/html/draft-ietf-teas-pce-central-control-01
> >
> > A diff from the previous version is available at:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-pce-central-control-01
> >
> >
> > Please note that it may take a couple of minutes from the time of submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > Teas mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/teas

---

From: Lou Berger <[email-masked]>
Date: Mon, 30 Jan 2017 11:58:41 -0500

Adrian,

    Thanks for the prod.  If I recall correctly (and my memory leaks as
you know) you also asked for additional feedback from the WG -- this is
always good but certainly the holiday's may have interfered with this.  

WG,
    Now is a good time for another review of this document as now that
the authors have done their promissed (minor) update we do expect to
bring it to LC shortly.

Lou

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 30 Jan 2017 17:25:26 -0000

Feedback from the WG is always good, but I think the draft I specifically asked
for feedback on was draft-ietf-teas-scheduled-resources. That draft is a little
behind this one (although not far) in the maturity race.

Anyway, "LC soon" is good enough for me :-)

Thanks,
Adrian

> From: Teas [mailto:[email-masked]] On Behalf Of Lou Berger
> Sent: 30 January 2017 16:59
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: [Teas] Status/action : draft-ietf-teas-pce-central-control-01.txt
> 
> Adrian,
>